title: "Sample Acceptance"
type: "object"

properties:
  sample_id:
    $ref: '../../../ids.json#/definitions/SampleId'
  acceptance:
    type: string
    title: Acceptance
    enum:
      - ACCEPTED
      - BLOOD_IS_CLOTTED
      - EXTENDED_SHIPPING_TIME
      - LOST_IN_SHIPPING
      - OTHER
      - SAMPLE_LEAK
      - SAMPLE_NOT_LABELED
      - TUBE_BROKEN

required:
  - sample_id
  - acceptance

additionalProperties: false
